Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156158 - sym53c8xx causes endless sym0:0:0:M_REJECT to send for : 1-2-3-1 messages
Summary: sym53c8xx causes endless sym0:0:0:M_REJECT to send for : 1-2-3-1 messages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 00:06 UTC by p thompson
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-06 12:35:04 UTC


Attachments (Terms of Use)

Description p thompson 2005-04-28 00:06:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Apr 27 18:41:15 perelandra kernel: sym0: detaching ...
Apr 27 18:41:15 perelandra kernel: sym0: resetting chip
Apr 27 18:41:21 perelandra kernel: SCSI subsystem initialized
Apr 27 18:41:22 perelandra kernel: PCI: Found IRQ 11 for device 0000:00:12.0
Apr 27 18:41:22 perelandra kernel: PCI: Sharing IRQ 11 with 0000:01:00.0
Apr 27 18:41:22 perelandra kernel: sym0: <810a> rev 0x23 at pci 0000:00:12.0 irq 11
Apr 27 18:41:22 perelandra kernel: sym0: No NVRAM, ID 7, Fast-10, SE, parity checking
Apr 27 18:41:22 perelandra kernel: sym0: SCSI BUS has been reset.
Apr 27 18:41:22 perelandra kernel: scsi0 : sym-2.1.18n
Apr 27 18:41:25 perelandra kernel:   Vendor: COMPAQ    Model: BD03663622        Rev: BDC4
Apr 27 18:41:25 perelandra kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
Apr 27 18:41:25 perelandra kernel: sym0:0:0: tagged command queuing enabled, command queue depth 16.
Apr 27 18:41:25 perelandra kernel:  target0:0:0: Beginning Domain Validation
Apr 27 18:41:25 perelandra last message repeated 12 times
Apr 27 18:41:25 perelandra kernel:  target0:0:0: Ending Domain Validation
Apr 27 18:41:25 perelandra scsi.agent[5695]: disk at /devices/pci0000:00/0000:00:12.0/host0/target0:0:0/0:0:0:0
Apr 27 18:41:25 perelandra kernel: SCSI device sda: 71132000 512-byte hdwr sectors (36420 MB)
Apr 27 18:41:26 perelandra kernel: SCSI device sda: drive cache: write through
Apr 27 18:41:26 perelandra kernel: SCSI device sda: 71132000 512-byte hdwr sectors (36420 MB)
Apr 27 18:41:26 perelandra kernel: SCSI device sda: drive cache: write through
Apr 27 18:41:26 perelandra kernel:  sda1
Apr 27 18:41:26 perelandra kernel: Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
sym0:0:0:M_REJECT to send for : 1-2-3-1.
sym0:0:0:M_REJECT to send for : 1-2-3-1.
sym0:0:0:M_REJECT to send for : 1-2-3-1.
sym0:0:0:M_REJECT to send for : 1-2-3-1.
sym0:0:0:M_REJECT to send for : 1-2-3-1.
Apr 27 18:52:37 perelandra last message repeated 68 times
Apr 27 18:53:39 perelandra last message repeated 65 times
Apr 27 18:54:40 perelandra last message repeated 73 times
Apr 27 18:55:41 perelandra last message repeated 68 times
Apr 27 18:56:42 perelandra last message repeated 69 times
Apr 27 18:57:43 perelandra last message repeated 69 times
Apr 27 18:58:45 perelandra last message repeated 70 times
Apr 27 18:59:46 perelandra last message repeated 74 times


Version-Release number of selected component (if applicable):
2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1.modprobe sym53c8xx
  

Additional info:

Comment 1 Peter Bieringer 2005-05-21 15:24:25 UTC
Got the same on one FC3 server :-(

Controller:

00:0e.0 SCSI storage controller: LSI Logic / Symbios Logic 53c810 (rev 12)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min, 16000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 10
        Region 0: I/O ports at 9800
        Region 1: Memory at f0800000 (32-bit, non-prefetchable) [size=256]

on an FC2 server (2.6.10-1.771_FC2) I ran into sudden hang with that card. Looks
like this new sym53c8xx(_2) module don't really like old cards - that's not
good. And bad is that RH do no longer ship the older ncr53c8xx module with their
kernels.

Comment 2 Dave Jones 2005-07-15 20:02:28 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 3 p thompson 2005-07-16 05:54:13 UTC
Also applies to FC4  2.6.12-1.1398_FC4

Comment 5 Dave Jones 2005-08-03 16:36:44 UTC
Can you check and describe your cabling/termination setup please ?
We've see a similar case where a wide disk was connected to a narrow bus without
correct termination.  Such situations cause the drive/driver to constantly
renegotiate.

thanks.

Comment 6 p thompson 2005-09-06 17:22:26 UTC
The drive is cabled with a SCA to 50 pin adapter, 
It is jumpered to be in narrow mode with a terminator on the 50 pin cable.
The same configuration works on a RS/6000 with no ill effects.

Comment 7 Dave Jones 2005-09-30 06:36:26 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 8 p thompson 2005-09-30 21:30:46 UTC
Sep 30 16:31:18 perelandra kernel: sd 0:0:0:0: M_REJECT to send for : 1-2-3-1.
Still present
2.6.13-1.1526_FC4

Comment 9 Dave Jones 2005-11-10 19:38:05 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 10 p thompson 2005-11-24 21:55:21 UTC
I had a chance to test this with a wide drive jumpered narrow and a narrow drive
and the errors do not appear with a narrow drive but continue with the wide
jumpered as narrow.  This leads me to believe the problem is with the wide drive
not jumpering down properly.

Comment 11 Dave Jones 2006-02-03 06:52:09 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 12 John Thacker 2006-05-06 12:35:04 UTC
Closing per previous comment and reporter's suggestion that
it was an incorrect jumper issue on the drive.

Comment 13 Peter Bieringer 2006-07-02 16:14:41 UTC
This must be definitly a bug in the SCSI module, not drive. 

It happen to me here on a RHEL4 running kernel-2.6.9-34.0.1.EL

Drive: ST34572WC, which has no narrow/wide jumper, connected via SCA->narrow
SCSI to controller.

After searching for that problem, I found a interesting posting:
http://kerneltrap.org/node/3518

So I tried newer kernels from Fedora Core on RHEL4
kernel-2.6.12-1.1381_FC3 -> same problem
kernel-2.6.17-1.2139_FC4 -> no problem

So between 2.6.12 and 2.6.17, this bug was fixed.

Will clone bug now for RHEL4.


Note You need to log in before you can comment on or make changes to this bug.